aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Pages: [1] 2

Author Topic: Ubuntu Jaunty 9.04  (Read 15444 times)

ErVito

  • Newbie
  • *
  • Karma: 3
  • Offline Offline
  • Posts: 24
  • http://www.ervito.altervista.org
    • http://www.ervito.altervista.org
Ubuntu Jaunty 9.04
« on: September 30, 2009, 03:28:53 PM »

Hi guys,

I'm happy to announce i release my packages for our FAVORITE p2p program for our FAVORITE distro!  ;)
I'm not expert, i only packed it for me and now i share it. So, i release it WITHOUT ANY WARRANTY.
According with Vollstrecker, I have to warn you: remove these packages before reinstall or update amule (ALSO WITH SYNAPTIC OR UPDATE MANAGER)
Enjoy!

i386: download                               (DEAD)

AMD64: download                         (DEAD)

This is how i compiled them, before launch aMule make sure you have installed all libraries listed in the following box:
Code: [Select]
 aMule enabled options:

  **** aMule Core ****
  Prefix where aMule should be installed?                    /usr/local
  Should aMule be compiled with i18n support?                yes
  Should aMule be compiled in debug mode?                    no
  Should aMule be compiled with profiling?                   no
  Should aMule be compiled with optimizations?               yes
  Should aMule be compiled with UPnP support?                yes
  Should aMule be compiled with IP2country support?          yes
  Should aMule monolithic application be built?              yes
  Should aMule daemon version be built?                      no
  Should aMule remote gui be built? (EXPERIMENTAL)           no
  Crypto++ library/headers style?                            installed

  **** aMule TextClient ****
  Should aMule Command Line Client be built?                 no

  **** aMule WebServer ****
  Should aMule WebServer be built?                           no

  **** aMule ED2K Links Handler ****
  Should aMule ED2K Links Handler be built?                  yes

  **** aMuleLinkCreator ****
  Should aMuleLinkCreator GUI version (alc) be built?        no
  Should aMuleLinkCreator for console (alcc) be built?       no

  **** aMule Statistics ****
  Should C aMule Statistics (CAS) be built?                  no
  Should aMule GUI Statistics (wxCas) be built?              no

  **** General Libraries and Tools ****
  Should ccache support be enabled?                          no
  Libraries aMule will use to build:
                                       wxWidgets             2.8.9 (gtk2,shared)
                                       crypto++              5.5.2 (installed, in /usr)
                                       libupnp               1.6.6
                                       libintl               system
                                       libGeoIP              system
                                       zlib                  1.2.3.3



« Last Edit: October 09, 2009, 11:42:53 PM by ErVito »
Logged
Look for me here -> http://ervito.altervista.org  (italian)

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3830
  • Engines screaming
Re: Ubuntu Jaunty 9.04
« Reply #1 on: October 01, 2009, 10:24:12 PM »

You should enable optimizations for a release version (you should always enable optimization unless debugging). And why didn't you enable IP2country?
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

ErVito

  • Newbie
  • *
  • Karma: 3
  • Offline Offline
  • Posts: 24
  • http://www.ervito.altervista.org
    • http://www.ervito.altervista.org
Re: Ubuntu Jaunty 9.04
« Reply #2 on: October 01, 2009, 11:08:48 PM »

I'm sorry, but i don't know how to enable optimizations...for ip2contry, what do i have to install? Please help me. I can repack amule for your request but i need to know these two information.
Thanks in advance.

Regards,
Mark.
Logged
Look for me here -> http://ervito.altervista.org  (italian)

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3830
  • Engines screaming
Re: Ubuntu Jaunty 9.04
« Reply #3 on: October 02, 2009, 09:54:00 PM »

Add --enable-optimize --enable-geoip to your configure options (configure --help shows all the options) and install libgeoip-dev with Synaptic.
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

ErVito

  • Newbie
  • *
  • Karma: 3
  • Offline Offline
  • Posts: 24
  • http://www.ervito.altervista.org
    • http://www.ervito.altervista.org
Re: Ubuntu Jaunty 9.04
« Reply #4 on: October 03, 2009, 12:25:01 AM »

Thanks a lot! I hope to release new versions Sunday... :)

Regards,
Mark.
Logged
Look for me here -> http://ervito.altervista.org  (italian)

RRM

  • Sr. Member
  • ****
  • Karma: 40
  • Offline Offline
  • Posts: 444
Re: Ubuntu Jaunty 9.04
« Reply #5 on: October 03, 2009, 06:55:07 PM »

Thank you, Mark!
Logged

ErVito

  • Newbie
  • *
  • Karma: 3
  • Offline Offline
  • Posts: 24
  • http://www.ervito.altervista.org
    • http://www.ervito.altervista.org
Re: Ubuntu Jaunty 9.04
« Reply #6 on: October 03, 2009, 07:51:14 PM »

New versions uploaded ;)

Regards,
Mark.
Logged
Look for me here -> http://ervito.altervista.org  (italian)

psychok9

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 2
Re: Ubuntu Jaunty 9.04
« Reply #7 on: October 06, 2009, 02:26:27 PM »

I've downloaded your version and I launched it on a fresh installation of Ubuntu Jaunty x64 but the application don't start and don't show anything.
Logged

Hwiparam

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: Ubuntu Jaunty 9.04
« Reply #8 on: October 06, 2009, 07:40:21 PM »

 
Code: [Select]
Libraries aMule will use to build:
                                       wxWidgets             2.8.9 (gtk2,shared)
                                       crypto++              5.5.2 (installed, in /usr)
                                       libupnp               1.6.6
                                       libintl               system
                                       libGeoIP              system
                                       zlib                  1.2.3.3
It seems that you don't have at least one of them installed in your system.  Run aMule from the command line, it should tell you what is missing. Then find what you need in Synaptic/Aptitude and install, I think it should fix the problem.
« Last Edit: October 06, 2009, 07:59:38 PM by Hwiparam »
Logged
.

psychok9

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 2
Re: Ubuntu Jaunty 9.04
« Reply #9 on: October 07, 2009, 02:30:44 AM »

Thanks! I've solved yesterday because I've tried to compile aMule from sources... and I got a problem during the process. In the end, I've found the libraries that stop aMule deb from working or compiling from sources: libupnp4 package ;D
With libupnp3 i've solved both problems.
Thank you anyway ;)
Logged

Hwiparam

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: Ubuntu Jaunty 9.04
« Reply #10 on: October 07, 2009, 09:10:50 PM »

(aMule needs -DEVelopment libraries)
The development files are required only when you build aMule (or another program) from sources. If you install a DEB/RPM package, you need only necessary dependencies (as you listed in your post above), usually without packages ending with *dev :P
« Last Edit: October 07, 2009, 09:21:33 PM by Hwiparam »
Logged
.

ErVito

  • Newbie
  • *
  • Karma: 3
  • Offline Offline
  • Posts: 24
  • http://www.ervito.altervista.org
    • http://www.ervito.altervista.org
Re: Ubuntu Jaunty 9.04
« Reply #11 on: October 08, 2009, 05:18:46 PM »

I wrote it to be sure aMule works! :P Now i edit it because for a minimal installation is necessary only libwxgtk2.8
This is helpful not only for you but mostly FOR ME. I hope to learn much and to produce something working...and to improve my english!  ;D

Regards,
Mark.
Logged
Look for me here -> http://ervito.altervista.org  (italian)

gagar

  • Newbie
  • *
  • Karma: 2
  • Offline Offline
  • Posts: 23
Re: Ubuntu Jaunty 9.04
« Reply #12 on: October 09, 2009, 07:07:28 PM »

Hi there,

Firstly, thanks a ton for these packages! Without these binaries I would have to use 2.2.4 that are still in the repositories (compiling from source is beyond my IQ and it's fairly frustrating to have the source tarball of the latest version sitting on my desktop without being able to do anything with it :)

This was already stated in a different way a few posts back, but here's my version: I recently remarked that apt-get told that amule-common and libupnp3 weren't required anymore and that I could type sudo apt-get autoremove to remove them, and since I'm a nice guy, I obeyed. The problem is that I couldn't launch aMule  after that, and the problem got fixed when I checked the dependencies of the version in the repo and installed libupnp3 again. So as a simple suggestion, it might make sense to check the dependencies on http://packages.ubuntu.com/jaunty/amule and update the control file in control.tar.gz whithin the .deb so that Synaptic won't let me remove packages that are needed for aMule.

Cheers, and thanks again for the build. It's really appreciated.
Logged

Hwiparam

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: Ubuntu Jaunty 9.04
« Reply #13 on: October 09, 2009, 09:05:57 PM »

I'm trying to cope with the problem of dependencies. I've created aMule package which should resolve them automatically. Here it is:
http://hwiparam.wrzuta.pl/plik/6UPdTAaoOMm/amule_2.2.6-2_i386
Now it should be no problem with missing libraries.
The DEB is for i386 architecture, it works well on my PC (Ubuntu 9.04 AKA Jaunty, 32 bit) but I can't give you any warranty that it will work on yours. Before installation remove all amule-related packages from Synaptic/Aptitude !!!

P.S. If you don't understand this strange language on my website, just click on the large file icon, the download will start ;)
« Last Edit: October 09, 2009, 09:08:27 PM by Hwiparam »
Logged
.

^marcell^

  • Developer
  • Hero Member
  • *****
  • Karma: 28
  • Offline Offline
  • Posts: 529
Re: Ubuntu Jaunty 9.04
« Reply #14 on: October 09, 2009, 09:09:50 PM »

... (compiling from source is beyond my IQ ...
I dear to doubt that. ;D Check the wiki, it's really simple: http://wiki.amule.org/index.php/Compilation_Installation
Btw. it's almost always the "./configure", "make", "make install" trio that you use to build development tarballs. Easy to remember, isn't it?
Logged
Pages: [1] 2